# junos_l2_interface – Manage Layer-2 interface on Juniper JUNOS network devices

New in version 2.5.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use junos_l2_interfaces instead.

## Synopsis

- This module provides declarative management of Layer-2 interface on Juniper JUNOS network devices.

## Requirements

The below requirements are needed on the host that executes this module.

- ncclient (>=v0.5.2)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_vlan - |  | Configure given VLAN in access port. The value of `access_vlan` should be vlan name.

active
boolean

Choices:
- no
- yes ←

Specifies whether or not the configuration is active or deactivated

aggregate - |  | List of Layer-2 interface definitions.
description - |  | Description of Interface.

enhanced_layer
boolean
added in 2.7

Choices:
- no
- yes ←

True if your device has Enhanced Layer 2 Software (ELS).

filter_input - added in 2.8 |  | The name of input filter of ethernet-switching.
filter_output - added in 2.8 |  | The name of output filter of ethernet-switching.

mode
-

Choices:
- access
- trunk

Mode in which interface needs to be configured.

name - |  | Name of the interface excluding any logical unit number.
native_vlan - |  | Native VLAN to be configured in trunk port. The value of `native_vlan` should be vlan id.

provider
dictionary

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli` or `connection: netconf`.
For more information please see the Junos OS Platform Options guide.

A dict object containing connection details.

| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device. The port value will default to the well known SSH port of 22 (for `transport=cli`) or port 830 (for `transport=netconf`) device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.

state
-

Choices:
- present ←
- absent

State of the Layer-2 Interface configuration.

trunk_vlans - |  | List of VLAN names to be configured in trunk port. The value of `trunk_vlans` should be list of vlan names.
unit - | Default: 0 | Logical interface number. Value of `unit` should be of type integer.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Tested against vqfx-10000 JUNOS Version 15.1X53-D60.4.
- Recommended connection is `netconf`. See the Junos OS Platform Options.
- This module also works with `local` connections for legacy playbooks.
- For information on using CLI and netconf see the Junos OS Platform Options guide
- For more information on using Ansible to manage network devices see the Ansible Network Guide
- For more information on using Ansible to manage Juniper network devices see https://www.ansible.com/ansible-juniper.

## Examples

    - name: Configure interface in access mode
      junos_l2_interface:
        name: ge-0/0/1
        description: interface-access
        mode: access
        access_vlan: red
        active: True
        state: present

    - name: Configure interface in trunk mode
      junos_l2_interface:
        name: ge-0/0/1
        description: interface-trunk
        mode: trunk
        trunk_vlans:
        - blue
        - green
        native_vlan: 100
        active: True
        state: present

    - name: Configure interface in access and trunk mode using aggregate
      junos_l2_interface:
        aggregate:
        - name: ge-0/0/1
          description: test-interface-access
          mode: access
          access_vlan: red
        - name: ge-0/0/2
          description: test-interface-trunk
          mode: trunk
          trunk_vlans:
          - blue
          - green
          native_vlan: 100
        active: True
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
diff string | when configuration is changed and diff option is enabled. | Configuration difference before and after applying change. Sample: [edit interfaces] + ge-0/0/1 { + description "l2 interface configured by Ansible"; + unit 0 { + family ethernet-switching { + interface-mode access; + vlan { + members red; + } + } + } + }

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.